<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Calculator.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">test-coverage-tuto</a> &gt; <a href="index.source.html" class="el_package">org.example</a> &gt; <span class="el_source">Calculator.java</span></div><h1>Calculator.java</h1><pre class="source lang-java linenums">package org.example;

<span class="fc" id="L3">public class Calculator {</span>
    public int add(int a, int b) {
<span class="fc" id="L5">        return a + b;</span>
    }

    public int subtract(int a, int b) {
<span class="fc" id="L9">        return a - b;</span>
    }

    public int multiply(int a, int b) {
<span class="nc" id="L13">        return a * b;</span>
    }

    public int divide(int a, int b) {
<span class="nc bnc" id="L17" title="All 2 branches missed.">        if (b == 0) {</span>
<span class="nc" id="L18">            throw new IllegalArgumentException(&quot;Divisor cannot be zero&quot;);</span>
        }
<span class="nc" id="L20">        return a / b;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.7.202105040129</span></div></body></html>